/*<![CDATA[*/
.mt-content-container .mt-sortable-listings-container li {
	font-size: 1rem !important;
}

.mt-content-container  .mt-topic-hierarchy-listings ol, p, ul {
   font-size: 1.1rem;
   //line-height: 1.2;
}

#librelens-attribution-list{
    display:none !important;
}

#librelens-buttons{
    display:none !important;
}

#mt-toc-container {
    display: none !important;
}

.elm-skin-container{
    /*background-image: url("https://chem.libretexts.org/@api/deki/files/126330/bg_laptop.jpg");
    background-repeat: no-repeat; 
    background-attachment: fixed;*/
    background-color: hsl(218, 76%, 99%);
}
.mt-sortable-listing{
    background-color: #ffffff;
}/*]]>*/
/*<![CDATA[*/
div#mt-summary {
    display: none!important;
}/*]]>*/
/*<![CDATA[*/
.mt-content-footer{
    display:none;
}/*]]>*/
/*<![CDATA[*/
.MathJax {
  font-size: .85em; /* Increases the base font size of all MathJax output */
}

mjx-help-background {
      z-index: 1000;	
    }/*]]>*/
/*<![CDATA[*/
/* CSS pseudo-element styling https://fontawesome.com/how-to-use/on-the-web/advanced/css-pseudo-elements */

/* general reset/setup styling for icons - needed on all */

.lt-icon-default::before, .lt-icon-brain::before, .lt-icon-pin::before , .lt-icon-hand::before, .lt-icon-pathway::before, .lt-icon-logic::before, .lt-icon-check::before, .lt-icon-question::before, .lt-icon-exclamation::before    {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block; 
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1.5;
  font-family: "Font Awesome 5 Pro";
  font-weight: 900;
  margin-right: 0.5rem;
}

/*default */

.box-example .lt-icon-default::before {
  content: "";
}
.box-exercise .lt-icon-default::before {
  content: "";
}
.box-query .lt-icon-default::before {
  content: "";
}
.box-adapt .lt-icon-default::before {
  content: "";
}
.box-interactive .lt-icon-default::before{
  content: "";
}
.box-note .lt-icon-default::before {
  content: "";
}
.box-objectives .lt-icon-default::before {
  content: "";
}
.box-definition .lt-icon-default::before {
  content: "";
}
.box-theorem .lt-icon-default::before {
  content: "";
}
.box-warning .lt-icon-default::before {
  content: "";    
}


/*specific icons*/
.lt-icon-brain::before  {
  content: "";
}

.lt-icon-pin::before {
  content: "";
}

.lt-icon-pathway::before, {
  content: "";
}

.lt-icon-logic::before, {
  content: "";
}

.lt-icon-hand::before, {
  content: "";
}

.lt-icon-pathway::before, {
  content: "";
}

.lt-icon-check::before, {
  content: "";
}

.lt-icon-question::before, {
  content: "";
}

.lt-icon-exclamation::before, {
  content: "";
}/*]]>*/
/*<![CDATA[*/
.Headertext{
display:none;
}/*]]>*/
/*<![CDATA[*/
.support-widget {
position: fixed;
z-index: 9999;
display: inline-flex;
bottom: 0px;
right: 0px;
margin-right: 10px;
}

.support-widget-button {
    font-size: 27px !important;
}

@media print {
    .support-widget {
        display: none;
        visibility: hidden;
    }
}/*]]>*/
/*<![CDATA[*/
/* Partner Area CSS */
.partners-logo {
	display: flex;
	align-items: center;
	justify-content: space-around;
	flex-wrap: wrap;
	position: relative;
	z-index: 1;
}

.partners-logo a {
	display: inline-block;
	max-width: 15%;
	margin-bottom: 15px;
}
#topHeader {
	display: flex;
	flex-wrap: wrap;
}

#topHeader > ol {
	display: flex;
	justify-content: space-around;
	flex: 1;
}

#topHeader > ol > li > a {
	display: flex;
	align-items: center;
	border: 2px solid white;
	border-radius: 10px;
	padding: 2px;
	color: #127bc4;
	/* font-size: 0px; */
	transition-duration: .5s;
	flex-direction: column;
	text-align: center;
}

#topHeader > ol > li:last-child {
	margin-right: 1rem;
}

#topHeader > ol > li > a:hover {
	font-size: medium;
}

#topHeader > ol > li > a > img {
	width: 23px;
	height: 23px;
	margin-right: 2px;
	object-fit: contain;
	max-width: unset;
}

@media only screen and (max-width: 767px) {
	.partners-logo a {
		max-width: 30%;
	}
}
@media only screen and (max-width: 1350px) {
	#topHeader > ol {
		font-size: 0px;
	}
}

@media only screen and (min-width: 480px) and (max-width: 767px) {
	.partners-logo a {
		max-width: 150px;
	}
}
div.elm-nav-container > a > img {
	max-width: unset;
}

nav.elm-nav.my-custom-class {
	padding: .25rem 0;
}

#bottomFooter p.mt-align-center {
    margin: 5px;
    line-height: initial;
}

.LTBranding {
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: min-content;
}

.LTBranding img{
	object-fit: contain;
}/*]]>*/
/*<![CDATA[*/
/**
 * Accessibility
*/
.elm-skip-link {
    position: absolute !important;
    overflow: hidden;
    clip: rect(1px,1px,1px,1px);
    width: 1px;
    height: 1px;
    word-wrap: normal;
    right: 30px;
}
.elm-skip-link:focus,
.elm-skip-link:active {
    position: static !important;
    overflow: visible;
    clip: auto;
    width: auto;
    height: auto;
    margin: 0;
    color: black;
    background: unset;
    font-weight: bold;
}

a:focus-visible {
    outline-offset: 2px;
    outline: black solid 2px;
}

/**
 * Darkmode
*/
.darkMode {
   background-color:#252525;
    color: white;
}

.darkMode .mt-content-container p {
    color: white;
}

.darkMode .mt-content-container .boxexample,
.darkMode .mt-content-container .boxexercise,
.darkMode .mt-content-container .boxlemma,
.darkMode .mt-content-container .boxnotation,
.darkMode .mt-content-container .boxnotewithlegend,
.darkMode .mt-content-container .boxnotewithoutlegend,
.darkMode .mt-content-container .boxprocedure,
.darkMode .mt-content-container .boxproposition,
.darkMode .mt-content-container .boxquery,
.darkMode .mt-content-container .boxtheorem,
.darkMode .mt-content-container .boxobjectives,
.darkMode .mt-content-container .box-example,
.darkMode .mt-content-container .box-exercise,
.darkMode .mt-content-container .box-lemma,
.darkMode .mt-content-container .box-notation,
.darkMode .mt-content-container .box-warning,
.darkMode .mt-content-container .box-note,
.darkMode .mt-content-container .box-notewithlegend,
.darkMode .mt-content-container .box-notewithoutlegend,
.darkMode .mt-content-container .box-procedure,
.darkMode .mt-content-container .box-proposition,
.darkMode .mt-content-container .box-query,
.darkMode .mt-content-container .box-theorem,
.darkMode .mt-content-container .box-objectives
{
    background: #f0f5ff24;
    box-shadow: 3px 3px 4px #00000085;
}

.darkMode p.boxtitle {
    color:white;
}

.darkMode th {
    background:#00629a;
}


.darkMode tr, .darkMode tr td {
    background:none;
}

.darkMode tr:nth-child(even), .darkMode tr:nth-child(even) td {
    background:#555555;
}

.optimize {
	display: flex;
	flex-wrap: wrap;
}

/* Hide header if in iframe*/
.contentOnly .elm-header,
.contentOnly .elm-meta-icons,
.contentOnly div.annotator-frame,
.adaptView .elm-footer,
/*.contentOnly article#elm-main-content > *:not(:first-child, .mt-content-container), */
.adaptView article#elm-main-content > header,
.contentOnly hypothesis-sidebar,
.contentOnly #custom_open,
.contentOnly .sbHeader {
    display:none;
}

.sidebar-container > div > ul.sidebar-collapsed\:bg-black\/\[\.08\] {
    background-color: transparent !important;
}

.contentOnly #mt-summary {
    display:none!important;
}

iframe.imathas_problem, iframe.webwork_problem {
    border: none;
    width: 100%;
}

/*GeoGebra fix*/
article.elm-content-container, section.mt-content-container {
	height: auto !important;
	width: auto !important;
}


.elm-meta-top .mt-article-pagination a {
	width: auto;
	color: #30b3f6;
}

.elm-meta-top .mt-article-pagination a:hover {
	color: #b4b4b4;
}

.elm-meta-top .elm-article-pagination {
	float: unset;
}

#elm-main-content ol.elm-meta-data .elm-social-share {
	margin: 0;
}

#MathJax_Zoom {
 color: black;
}

#donate {
	background-color: green;
	color: white;
	display: flex;
	padding: 5px;
	align-items: center;
}

#donate:hover {
	background-color: #005E00;
}

.youtubeImageContainer {
    position: relative;
}

a.notSS {
	width: auto;
	height: auto;
	margin-top: 0;
}

.toc-button.mt-icon-hierarchy-trigger-closed:before {
	content: "";
	font-size: 150%;
}

span.fancytree-icon:before {
	content: "";
}

.mt-icon-hierarchy-trigger-open:before {
	font-size: 150%;
}

span.fancytree-has-children > span.fancytree-icon:before {
	content: "";
}

span.fancytree-title > a {
	color: #666;
}

span.fancytree-selected .fancytree-title, span.fancytree-selected .fancytree-icon {
	color: #1a9003;
}

.toc-hierarchy > div {
	display: none;
}

.toc-hierarchy h6 {
	margin-top: 0;
	color: #137ac3
}

.pageInfo {
	float: left;
	margin: 0 1em 0 0;
}

.cc {
	color: black;
}

.glossarizer_replaced {
    border-bottom: 1px #333 dotted;
}

#pageTagsHolder {
	display: none;
}

#batchPrint {
	display: flex;
	align-items: stretch;
	justify-content: center;
}

#TOCbutton {
	margin: 2px;
	display: flex;
	line-height: 2.4;
	justify-content: center;
	align-items: center;
	color: #127bc4;
	font-size: 100%;
	height: 100%;
}

@media (min-width: 1000px) {
	nav.elm-header-global-nav ol.mt-breadcrumbs {
		max-width: 85% !important;
	}
	#TOCbutton {
		width: auto;
	}
}

div.propagatorLoader {
	display: flex;
	margin: 10px;
	justify-content: center;
}

.loaderStatus {
	/* flex: 1; */
	justify-content: center;
	text-align: center;
}

/* Modal Foundation*/
#warningModal {

  position: fixed ;
  left: 0px;
  top: 0px;
  bottom:0px;
  right:0px;
  margin:0px;

  display: none; /* Hidden by default */
  z-index: 10000;
  padding-top: 0px; /* Location of the box */

  width: 100%; /* Full width */
  height: 100%; /* Full height */

  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgb(0,0,0,0);/* Black w/ opacity */
}

/* Modal Content */
#warningModalSlide {

  font-family: "Roboto";
  font-size: 14px;
  background-color: #EFEFEF ;
  margin: auto;
  padding: 15px;
  /*border: 0px solid #888;*/
  width: 40%;
  box-shadow: -2px 8px 10px #c7c7c7;
}


#elm-main-content figure {
	display: flex;
	align-items: center;
	flex-direction: column;
    margin: 0;
    page-break-inside: avoid;
    margin-bottom: 0.3em !important;
}

.mt-video-widget:not(.cke_widget_element) {
     margin: 1rem auto !important;
}

.glmol{
    text-align: left;
}




#copyResults img {
	width: 30px;
	height: 30px;
	object-fit: contain;
}

#LTform, #LTPreview {
	display: flex;
	flex-direction: column;
}

#LTFormContainer, .LTFormHeader, #LTFormFooter {
	display: flex;
}

#LTFormContainer .fancytree-container, #LTPreviewForm .fancytree-container {
	background: #f3f3f3;
	border-radius: 10px;
	overflow: auto;
	flex: 1;
}

#LTLeft, #LTRight, #LTPreviewForm, #LTTutorial {
	/*flex: 1;*/
	align-items: stretch;
	height: 60vh;
	max-width: 45vw;
	overflow: hidden;
	width: 100%;
	background: #f3f3f3;
	border-radius: 10px;
	display: flex;
	flex-direction: column;
}

#LTLeft, #LTTutorial {
	border-radius: 0 0 10px 10px;
}

select.LTFormSubdomain {
	border-radius: 10px 10px 0 0;
}

#LTFormFooter {
	flex-direction: column;
}

.LTFormHeader {
	justify-content: flex-end;
	margin-top: 30px;
	background-color: #127bc4;
	padding: 10px;
	border-radius: 5px;
	color: white
}

ul.ui-fancytree.fancytree-container.fancytree-plain.fancytree-ext-dnd5 {
}

#LTFormContainer > div {
	flex: 1;
	display: flex;
	flex-direction: column;
	align-items: center;
	margin: 10px;
	max-width: 45vw;
}

.LTTitle {
	flex: 1;
	display: flex;
	align-items: center;
}

div#LTPreviewForm {
	max-width: unset;
	margin: 10px;
	width: auto;
}

div#LTLeftAlert, div#LTRightAlert {
	height: 30px;
	background-color: rgba(18, 122, 196, 0.61);
	width: inherit;
	z-index: 1;
	display: flex;
	align-items: center;
	justify-content: center;
}

select#LTFormSubdomain {
	border-radius: 10px 10px 0 0;
}

#mt-site-search-input {
    max-width: 40vw;
}

#getTOCLink {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: slategrey;
	color: white;
	width: fit-content;
	padding: 0 3px;
}

.annotator-frame.annotator-collapsed > div.annotator-bucket-bar {
	background: none;
}

.mobileOnly {
	display: none;
}

#RemixerIcon, #DownloadIcon, #SSOInstructorIcon {
	width: auto;
}

#RemixerIcon:before, #DownloadIcon:before, #SSOInstructorIcon:before {
	vertical-align: middle;
}

.elm-header-user-nav .mt-user-menu li.mt-user-quick-login {
	margin-left: 0;
}

.mt-user-menu {
    display: flex;
    justify-content: center;
}
li.elm-social-share a {
    height: unset;
    width: auto;
    margin: 0 2px 0 0;
}

#LTRight > ul > li {
	min-height: 100%;
}

.react-toggle {
	height: 24px;
}

.buttonsetForm > button:first-child {
	background: #525050;
	color: white;
}

/*Added to make a hyperlink position below the breadcrumb bar and is viewable */
/*#pageText > .mt-section > span:first-child {
    top: -50px;
    display: block;
    position: relative;
}*/

.elm-header-notice.fixed {
position: static;
}

.elm-fixed-header {
position: static;
}

/* Dropdown Button */
.LTdropdown > .dropbtn {
    color: inherit;
	background-color: inherit;
	border: none;
	height: 100%;
	padding: 5px;
	display: flex;
	align-items: center;
	box-sizing: border-box;
}

.LTdropdown a:visited {
    color: inherit;
}

/* The container <div> - needed to position the dropdown content */
.LTdropdown {
	position: relative;
	display: inline-block;
	margin-right: 2px;
    color: white;
    background: black;
}

/* Dropdown Content (Hidden by Default) */
.LTdropdown-content {
    color: inherit;
	display: none;
	position: absolute;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    background: inherit;
	z-index: 5;
	flex-direction: column;
	align-items: stretch;
	width: max-content;
	width: -moz-max-content;
}

/* Links inside the dropdown */
.LTdropdown > .LTdropdown-content a {
    color: inherit;
    background: inherit;
	padding: 12px 16px;
	text-decoration: none;
	display: block;
	width: initial;
	text-align: center;
	font-size: 12px;
    margin: 0;
}

/* Change color of dropdown links on hover */
.LTdropdown > .LTdropdown-content a:hover  {
    filter: brightness(85%);
	transition-duration: 250ms;
    color: white;
}

.LTdropdown-content a:before  {
    margin-right: 2px;
}

.LTdropdown-content a:not(:first-child) {
	border-top: 1px solid white;
}

/* Show the dropdown menu on hover */
.LTdropdown:hover .LTdropdown-content {
	display: flex;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.LTdropdown:hover .dropbtn {
    filter: brightness(85%);
}

nav.elm-header-user-nav > div.elm-nav-container > ol {
	display: flex;
}


nav.elm-header-user-nav > div.elm-nav-container > ol > li {
	display: flex;
}

li.elm-global-search {
	flex: 1
}

#mt-site-search-input {
	width: auto;
}


.mt-breadcrumbs a span.nb-comment-highlight {
   font-size: unset;
   margin-right: unset;
   vertical-align: unset;
}

/* <SSO-LibreOne> */

.mt-user-quick-login {
    display: none !important;
}

.mt-user-menu-user > .mt-icon-quick-sign-in.mt-dropdown-link.mt-toggle-right {
    display: none !important;
}

.mt-icon-quick-sign-in::before {
    color: #127BC4;
}

.sso-user:hover:after {
    content: " (Logout)";
    font-family: inherit;
    font-style: italic;
}

.authenticated-sso.elm-header-user-nav {
    background-color: #0f67a6;

}
.authenticated-sso.elm-header-user-nav .mt-user-menu-user  {
    background: #323232;
    border-radius: 5px;
}
.authenticated-sso.elm-header-user-nav .mt-user-menu > li > a {
    color: white;
}

/*  */

/*Media Queries*/
@media (max-width: 600px) {
	.mobileOnly {
		display: block;
	}

	.mobileHide {
		display: none;
	}

	.LTBranding {
		flex-direction: column;
	}

}

@media (max-width: 875px) {
	#RemixerIcon, #DownloadIcon, #SSOInstructorIcon {
		width: 1.95em;
	}
}

@media (min-width: 1000px) {
	nav.elm-header-global-nav ol.mt-breadcrumbs {
		max-width: 85% !important;
	}

	#TOCbutton {
		width: auto;
	}
}

@media (max-width: 1001px) {

	#TOCbutton {
		width: 20px;
		justify-content: flex-start;
	}
}
/*
@media (min-width: 83em) {
   article.elm-content-container {
      min-width: unset;
   }
}
*/
/*
@media (min-width: 37.5em){
    .elm-header-user-nav {
        z-index: 1;
    }
}
*/

.mt-content-container img {
    height: auto!important;
    object-fit: contain;
}
.mt-content-container .mt-sortable-listing-link img {
    height: 150px!important;
}

.mt-video-widget > p {
    text-align: center;
}

option[value="article:topic-portfolio"] {
    display: none;
}
option[value="article:howto"] {
    display: none;
}
option[value="article:reference"] {
    display: none;
}

.live-tag-link {
    white-space: normal;
    user-select: text;
    -webkit-user-drag: none;
}

span.mt-font-ma-shan-zheng{
    font-family: "Ma Shan Zheng";

}

.cke_librebox .cke_combo_open {
    margin-left: 0;
}

.cke_librebox .cke_combo_inlinelabel {
    padding-left: 2px;
    padding-right: 0;
}

.cke_librequery .cke_combo_open {
    margin-left: 0;
}

.cke_librequery .cke_combo_inlinelabel {
    padding-left: 2px;
    padding-right: 0;
}

.cke_button_icon.cke_button__librequeryoptions_icon {
  background-image: url("cdn.libretexts.net/Icons/query.ico") !important;
  background-position: 0px !important;
  background-size: 16px !important;
}


/** Heading 7 **/
.lt-heading-7 {
    text-align: left!important;
    font: normal normal 700 112.5%/1.2 Tahoma,Arial,serif;
    color: #000;
    margin: 2rem 0 0.5rem;
    padding: 0;
}

@media (min-width: 37.5em) {
    .lt-heading-7 {
        font-size: 112.5% !important;
    }
}

@media (min-width: 18.75em) {
    .lt-heading-7 {
        font-size: 105.5% !important;
    }
}


/** AutoAttribution **/
#librelens-attribution-list li {
    font-size: 0.95rem !important;
}

/** Prevent overflow with large images in sections **/
section::after {
  content: "";
  clear: both;
  display: block
}/*]]>*/
/*<![CDATA[*/
.printOnly {
	display: none;
}

.hideprint {
	visibility: visible !important;
	display: block !important;
}

.showprint {
	visibility: hidden !important;
	display: none !important;
}

@media print {
    .mt-banner{display:none;}

	h1#title {
		margin-top: 0!important
	}
	.box-interactive,
	.box-query,
	.box-adapt {
		visibility: hidden !important;
		display: none !important;
	}
	table.mt-responsive-table {
		/*table-layout: auto;
        */
	}
	.elm-meta-top .mt-article-pagination * {
		display: none;
	}
	.mt-author-container {
		background: #f0f0f0;
		border-radius: .5em;
		visibility: hidden !important;
		display: none !important;
	}
	#elm-main-content {
		padding-bottom: 0;
	}
	main.elm-skin-container {
		display: inline;
	}
	.mt-video-widget:not(.cke_widget_element) {
		margin: 0 auto !important;
		width: 60% !important;
		page-break-inside: avoid;
	}
	.elm-skin-container {
		background-color: #ffffff !important;
	}
	.mt-sortable-listing {
		background-color: #ffffff !important;
	}
	.twocolumn {
		-webkit-column-count: 2;
		/* Chrome, Safari, Opera */
		-moz-column-count: 2;
		/* Firefox */
		column-count: 2;
	}
	.threecolumn {
		-webkit-column-count: 3;
		/* Chrome, Safari, Opera */
		-moz-column-count: 3;
		/* Firefox */
		column-count: 3;
	}
	.hideprint {
		visibility: hidden !important;
		display: none !important;
	}
	.showprint {
		visibility: visible !important;
		display: block !important;
	}
	.printOnly {
		display: block;
	}
	.printHide {
		display: none;
	}
	img {
		zoom: 0.60;
		page-break-inside: avoid;
	}
	.mt-author-container img {
		zoom: 1;
	}
	.MathJax_Display {
		margin-top: 0.7em !important;
		margin-bottom: 0.7em !important;
	}
	#flash-messages {
		visibility: hidden !important;
		display: none !important;
	}
	blockquote {
		display: block;
		font-size: 120%;
		color: black;
		margin-top: 0px;
		margin-bottom: 0px;
		margin-left: 40px;
		padding-left: 15px;
		padding-top: 0px;
		padding-bottom: 0px;
		border-left: 3px solid #0f67a6;
		border-top: 0px;
		border-bottom: 0px;
		border-right: 0px;
	}
	p {
		text-align: justify;
		orphans: 2;
		widows: 2;
		margin-block-start: 0.5em;
		margin-block-end: 0.5em;
		margin-inline-start: 0px;
		margin-inline-end: 0px;
	}
	.definition,
	.note1,
	.example,
	.exercise,
	.skills {
		border: solid 1px hsla(0, 0%, 0%, 0.5);
		-moz-border-radius: 5px;
		-webkit-border-radius: 5px;
		border-radius: 5px;
		padding-left: 7px;
		padding-right: 7px;
		padding-bottom: 0px;
		padding-top: 0px;
		margin-bottom: 5px;
		margin-top: 5px;
	}
	.definition {
		background-color: hsla(7, 93%, 41%, 0.03);
	}
	.example {
		background-color: hsla(215, 93%, 39%, 0.03);
	}
	.note1 {
		background-color: hsla(78, 93%, 39%, 0.03);
	}
	.exercise {
		background-color: hsla(283, 93%, 24%, 0.03);
	}
	.skills {
		background-color: hsla(7, 93%, 41%, 0.03);
	}
	ol.elm-meta-top {
		display: none;
	}
	body:not(.cke_editable) .mt-responsive-table th,
	body:not(.cke_editable) .mt-responsive-table td,
	body:not(.cke_editable) table th[data-th] {
		display: table-cell !important;
		background-image: none !important;
		font-size: 95%;
	}
	#mt-page-health-container,
	header.elm-header,
	#mt-toc-container,
	#mt-content-side,
	div#mt-summary,
	li.elm-pdf-export,
	li.elm-social-share,
	footer.elm-footer,
	footer.elm-content-footer,
	li.elm-meta-icons,
	li.elm-last-modified,
	li.elm-page-restriction,
	body:not(.cke_editable) .mt-responsive-table td:before {
		display: none !important;
	}
	body {
		font-size: 0.80em !important;
		font-family: "Big Caslon", "Book Antiqua", "Palatino Linotype", Georgia, serif !important;
	}
	.mt-content-container ol,
	.mt-content-container p,
	.mt-content-container ul {
		font-family: "Big Caslon", "Book Antiqua", "Palatino Linotype", Georgia, serif !important;
		font-size: 100%;
		line-height: 1.4;
	}
	h1,
	h2,
	h3,
	h4,
	h5,
    h6{
		color: hsl(205, 82%, 42%);
		align-content: left;
		font-family: "Tahoma", Arial, serif !important;
		text-align: left !important;
		margin: 0.8em 0 0 0 !important;
		page-break-after: avoid !important;
		page-break-inside: avoid !important;
		break-after: avoid !important;
		break-after: avoid-page !important;
		orphans: 1;
		margin-block-end: -3px !important;
	}
	h1 {
		font-size: 18px !important;
	}
	h2 {
		font-size: 15px !important;
	}
	h3, h4, h5, h6 {
		font-size: 13px !important;
	}
    h5, h6 {
        color: 	#000000 !important;
	}
	.mt-new-features-container {
		display: none;
	}
	/*https://stackoverflow.com/questions/9238868/how-do-i-avoid-a-page-break-immediately-after-a-heading/53742871#53742871*/
	h2,
	h3,
	h4,
	h5,
	h6 {
		page-break-inside: avoid;
	}
	h2::after {
		content: "";
		display: block;
		height: 2.5rem;
		/* pretend that the header is at least 8rem high so this header cannot fit near the end of page */
		margin-bottom: -2.5rem;
		/* however, reduce the margin the same amount so that the following content can stay in its usual place */
	}
	h3::after {
		content: "";
		display: block;
		height: 2.5rem;
		/* pretend that the header is at least 8rem high so this header cannot fit near the end of page */
		margin-bottom: -2.5rem;
		/* however, reduce the margin the same amount so that the following content can stay in its usual place */
	}
	h4::after {
		content: "";
		display: block;
		height: 2.5rem;
		/* pretend that the header is at least 8rem high so this header cannot fit near the end of page */
		margin-bottom: -2.5rem;
		/* however, reduce the margin the same amount so that the following content can stay in its usual place */
	}
	.box-legend::before {
		content: "";
		display: block;
		height: 5rem;
		/* pretend that the header is at least 8rem high so this header cannot fit near the end of page */
		margin-bottom: -5rem;
		/* however, reduce the margin the same amount so that the following content can stay in its usual place */
		page-break-inside: avoid;
		break-inside: avoid;
	}
	p.boxtitle {
		font-style: normal;
		font-size: 120%;
		color: DarkSlateGray;
		line-height: 80% !important;
		background: none;
		margin-top: 0 !important;
		margin-bottom: 0 !important;
		padding: 0 !important;
		text-align: left !important;
		border-bottom: 1px solid DarkSlateGray;
		font-family: "Tahoma", Arial, serif !important;
		page-break-after: avoid;
		page-break-inside: avoid;
		break-after: avoid-page;
		orphans: 1;
	}
	dt {
		color: initial;
	}
	dl,
	dt {
		text-align: left !important;
	}
	.row {
		padding: 0;
		margin: 0;
		list-style: none;
		display: -webkit-box;
		display: -moz-box;
		display: -ms-flexbox;
		display: -webkit-flex;
		display: flex;
		-webkit-flex-flow: row wrap;
		justify-content: center;
		break-inside: avoid;
	}
	#elm-main-content figcaption {
		caption-side: bottom;
		text-align: justify;
		font-size: 90%;
		margin-left: 5%;
		margin-right: 5%;
		margin-top: 0.3em;
		break-inside: avoid-page;
	}
	.rightfig {
		display: table;
		float: right;
		margin: 0em 0 0em 1em;
	}
	.rightfigcaption {
		display: table-caption;
		caption-side: bottom;
		margin: 0.3em 0 0 0;
		text-align: justify;
		font-size: 90%;
	}
	/**************************** table bar ***************************/
	caption {
		display: table-caption;
		text-align: center;
		font-family: "Big Caslon", "Book Antiqua", "Palatino Linotype", Georgia, serif !important;
        padding: 0 0 0.2rem 0;
	}
	body:not(.cke_editable) .mt-responsive-table td,
	body:not(.cke_editable) .mt-responsive-table th {
		padding: 0.4em !important;
		padding-top: 0.3em !important;
		padding-right: 0.4em !important;
		padding-bottom: 0.3em !important;
		padding-left: 0.4em !important;
		vertical-align: middle;
	}
	body:not(.cke_editable) .mt-responsive-table p {
		margin: 0em !important;
	}
	body:not(.cke_editable) .mt-responsive-table tr td:last-child {
		border: none !important;
	}
	body:not(.cke_editable) .mt-responsive-table tr th:last-child {
		border-bottom-width: 0.15em !important;
	}
	table {
        margin-bottom: 1rem !important;
		-webkit-print-color-adjust: exact;
		page-break-inside: none;
	}
	.mt-content-container table p {
		margin: 0em !important;
	}
	th,
	td {
		font-family: "Big Caslon", "Book Antiqua", "Palatino Linotype", Georgia, serif !important;
		/*text-align: center;
        */
		/*vertical-align: middle;
        */
	}
	/**************************** lists ***************************/
	ul,
	ol {
		text-align: left !important;
		margin: 0.3em 0 0.5em 0;
	}
	ol li,
	ul li {
		text-align: left !important;
		font-family: "Big Caslon", "Book Antiqua", "Palatino Linotype", Georgia, serif !important;
		margin-top: 0em !important;
		margin-bottom: 0em !important;
	}
	.attributions li,
	.attributions p {
		line-height: 1.25 !important;
		margin-block-start: 0em !important;
		margin-block-end: 0em !important;
  		font-size: 80% !important;

	}
	/**************************** author bar ***************************/
	.mt-author-container {
		/*background: @secondary-container-background-color;*/
		/*border: 1px solid @secondary-container-border-color;*/
		/*border-radius: @border-radius-default;*/
		clear: both;
		/*color: @tertiary-font-color;*/
		font-size: 85%;
		margin: 0 0 1em;
		overflow: hidden;
		padding: .5em 1em;
	}
	.mt-author-container ul {
		list-style: none;
		margin: 0;
		padding: 0;
	}
	.mt-author-container .mt-author-image {
		float: left;
		margin: 0 1em 0 0;
	}
	.mt-author-container .mt-author-image-crop {
		/*border: 1px solid @primary-container-border-color;*/
		border-radius: 50%;
		height: 3em;
		overflow: hidden;
		position: relative;
		width: 3em;
	}
	.mt-author-container .mt-author-image-crop img {
		display: inline;
		height: 100%;
		margin: 0 auto;
		width: auto;
	}
	.mt-author-container img {
		max-height: 3em;
		max-width: 3em;
		vertical-align: middle;
	}
	elm-skin-container {
		display: block !important;
	}
	hypothesis-sidebar,
	hypothesis-adder,
	.h-sidebar-iframe,
	.annotator-frame {
		display: none;
	}
	/* canvas, img, object, video {
         max-width: 100%;
         max-height: 500px;
    }
     */
	/**************** Box container styles *******************/
	.mt-content-container .boxobjectives,
	.boxexample,
	.boxexercise,
	.boxquery,
	.boxnotewithlegend,
	.boxnotewithoutlegend,
	.boxprocedure,
	.boxdefinition,
	.boxtheorem,
	.boxlemma,
	.boxnotation,
	.boxproposition {
		-moz-border-radius: 8px;
		-webkit-border-radius: 8px;
		border-radius: 8px;
		padding-top: 0em;
		padding-bottom: 0em;
		padding-left: 1em;
		padding-right: 1em;
		margin-bottom: 1em;
		overflow: visible;
		border: 0px;
		orphans: 2;
	}
	.mt-content-container .boxnotewithlegend,
	.boxprocedure,
	.notation {
		background-color: hsla(20, 0%, 93%, 1);
	}
	.mt-content-container .boxexample,
	.boxexercise {
		background-color: hsla(220, 100%, 97%, 1);
	}
	.mt-content-container .boxwarning {
		background-color: hsla(0, 100%, 96%, 1);
	}
	.mt-content-container .boxdefinition,
	.boxtheorem,
	.boxlemma,
	.boxnotation,
	.boxproposition {
		background-color: hsla(28, 80%, 95%, 1);
	}
	.mt-content-container .boxobjectives {
		background-color: hsla(0, 0%, 90%, 1);
	}
	.mt-content-container .boxnotewithoutlegend {
		background-color: hsla(20, 0%, 93%, 1);
		padding-right: 1em;
		padding-left: 1em;
		padding-top: 0.5em !important;
		padding-bottom: 0.5em !important;
		margin-right: 1em;
		margin-left: 1em;
	}
	.mt-content-container .boxquery {
		border: 2px solid green;
		page-break-inside: avoid;
		visibility: hidden !important;
		display: none !important;
	}
	/**************** Box legend container styles *******************/
	.mt-content-container .boxlegend {
		font-style: normal !important;
		font-size: 1.1em !important;
		font-weight: normal !important;
		font-family: "Tahoma", Arial, serif !important;
		padding-top: 0.2em !important;
		padding-bottom: 0.2em !important;
		padding-left: 0.3em !important;
		padding-right: 0.3em !important;
		margin-left: 0.35em;
		color: white;
		border-radius: 3px;
		overflow: visible;
		break-inside: avoid !important;
	}
	.boxnotewithlegend .boxlegend {
		background-color: hsla(20, 0%, 45%, 1);
	}
	.boxnotewithoutlegend .boxlegend {
		background-color: hsla(20, 0%, 45%, 1);
		font-size: 0em !important;
		visibility: hidden !important;
	}
	.boxprocedure .boxlegend {
		background-color: hsla(20, 0%, 45%, 1);
	}
	.boxnotation .boxlegend {
		background-color: hsla(20, 0%, 45%, 1);
	}
	.boxexample .boxlegend {
		background-color: hsla(220, 100%, 60%, 1);
	}
	.boxexercise .boxlegend {
		background-color: hsla(0, 100%, 56%, 1);
	}
	.boxquery .boxlegend {
		background-color: hsl(120, 100%, 25%, 1);
	}
	.boxobjectives .boxlegend {
		background-color: hsla(0, 0%, 10%, 1);
	}
	.boxdefinition .boxlegend {
		background-color: hsla(28, 80%, 52%, 1);
	}
	.boxtheorem .boxlegend {
		background-color: hsla(28, 80%, 52%, 1);
	}
	.boxlemma .boxlegend {
		background-color: hsla(28, 80%, 52%, 1);
	}
	.boxnotation .boxlegend {
		background-color: hsla(28, 80%, 52%, 1);
	}
	.boxproposition .boxlegend {
		background-color: hsla(28, 80%, 52%, 1);
	}
	/****************************************** Current New boxes **********************************************************************/
	.box-objectives,
	.box-emphasis,
	.box-structure,
	.box-example,
	.box-exercise,
	.box-warning,
	.box-query,
	.box-note,
	.box-procedure,
	.box-definition,
	.box-theorem,
	.box-lemma,
	.box-notation,
	.box-proposition,
	.box-interactive {
		display: block;
		border-top: none;
		border-bottom: none;
		border-right: none;
		padding: 0px 10px 1px 8px;
		margin-bottom: 0.8em !important;
		margin-top: 0.8em !important;
		orphans: 3;
		border-radius: 4px 8px 8px 4px;
		-moz-border-radius: 4px 8px 8px 4px;
		-webkit-border-radius: 4px 8px 8px 4px;
	}
	.box-emphasis {
		padding: 5px 10px 5px 10px;
	}
	/**************** Tuning the box colors ***************/
	.box-objectives {
		background-color: hsla(204, 83%, 97%, 1);
		border-left: 4px solid hsla(204, 83%, 41%, 1);
	}
	.box-example {
		background-color: hsla(204, 83%, 97%, 1);
		border-left: 4px solid hsla(204, 83%, 41%, 1);
	}
	.box-exercise {
		background-color: hsla(204, 83%, 97%, 1);
		border-left: 4px solid hsla(204, 83%, 41%, 1);
	}
	.box-warning {
		background-color: hsl(0, 100%, 96%);
		border-left: 4px solid hsl(0, 100%, 31%);
	}
	.box-note {
		background-color: hsl(180, 8%, 94%);
		border-left: 4px solid hsl(180, 8%, 40%);
	}
	.box-emphasis {
		background-color: hsl(180, 8%, 94%);
		border-left: 4px solid hsl(180, 8%, 40%);
	}
	.box-structure {
		background-color: hsl(240, 67%, 97%);
		border-left: 4px solid hsl(240, 67%, 62%);
	}
	.box-query {
		border: 3px solid hsla(220, 100%, 60%, 1);
	}
	.box-interactive {
		border: 3px solid black;
	}
	.box-definition,
	.box-theorem,
	.box-lemma,
	.box-notation,
	.box-proposition {
		background-color: hsl(124, 33%, 94%);
		border-left: 4px solid hsl(132, 36%, 27%);
	}
	.boxprocedure,
	.notation {
		background-color: hsla(20, 0%, 93%, 1);
		border-left: 4px solid hsl(43, 81%, 36%, 1)
	}
	/************** Defining the Legends ******************/
	.box-legend {
		display: block;
		overflow: hidden;
		margin: 0 0 5px 0;
		transform: translate(-11px, 0px);
		break-inside: avoid-page !important;
		page-break-inside: avoid !important;
	}
	.box-legend>span {
		float: left;
		font-family: "Tahoma", Arial, serif !important;
		font-size: 13px !important;
		font-weight: normal !important;
		color: white;
		padding: 3px 5px 3px 5px !important;
		margin: 0 0 3px 0;
		line-height: 0.8em;
		border-radius: 1px;
	}
	.box-legend p {
		float: left;
		font-family: "Tahoma", Arial, serif !important;
		font-size: 14px !important;
		font-weight: normal !important;
		color: white;
		font-size: 14px !important;
		padding: 4px 5px 4px 5px !important;
		margin: 0 3px 3px 0;
		line-height: 0.8em;
		border-radius: 1px;
	}
	/************** Tuning the Legends ******************/
	.box-objectives .box-legend>span {
		background-color: hsl(212, 77%, 47%, 1);
	}
	.box-example .box-legend>span {
		background-color: hsl(212, 77%, 47%, 1);
	}
	.box-exercise .box-legend>span {
		background-color: hsl(212, 77%, 47%, 1);
	}
	.box-query .box-legend>span {
		background-color: hsl(212, 77%, 47%, 1);
	}
	.box-interactive .box-legend>span {
		background-color: black;
	}
	.box-note .box-legend>span {
		background-color: hsl(180, 8%, 40%);
	}
	.box-warning .box-legend>span {
		background-color: hsl(0, 100%, 31%);
	}
	.box-structure .box-legend>span {
		background-color: hsl(240, 67%, 62%);
	}
	.box-procedure .box-legend>span {
		background-color: hsla(39, 100%, 58%, 1);
	}
	.box-definition .box-legend>span {
		background-color: hsl(132, 36%, 27%);
	}
	.box-theorem .box-legend>span {
		background-color: hsl(132, 36%, 27%);
	}
	.box-lemma .box-legend>span {
		background-color: hsl(132, 36%, 27%);
	}
	.box-notation .box-legend>span {
		background-color: hsl(132, 36%, 27%);
	}
	.box-proposition .box-legend>span {
		background-color: hsl(132, 36%, 27%);
	}
	.box-definition>header,
	.box-structure>header,
	.box-note>header,
	.box-theorem>header,
	.box-example>header,
	.box-exercise>header,
	.box-query>header,
	.box-adapt>header,
	.box-objectives>header,
	.box-warning>header {
		display: inline-flex;
		overflow: hidden;
		break-inside: avoid-page;
		page-break-inside: avoid;
		text-align: left;
		width: auto;
		margin: 0 0px 2px 0px !important;
		padding: 2px 6px 2px 4px !important;
		transform: translate(-11px, 0px) !important;
		border-radius: 3px 5px 5px 0;
		-moz-border-radius: 3px 5px 5px 0;
		-webkit-border-radius: 3px 5px 5px 0;
	}
	.box-definition>header *,
	.box-structure>header *,
	.box-note>header *,
	.box-theorem>header *,
	.box-example>header *,
	.box-exercise>header *,
	.box-query>header *,
	.box-adapt>header *,
	.box-objectives>header *,
	.box-warning>header * {
		font-family: "Tahoma", Arial, serif !important;
		font-size: 14px !important;
		font-weight: 400 !important;
		color: white !important;
		;
		width: auto !important;
		;
		float: left !important;
		;
		line-height: 1 !important;
		;
		margin-block-start: 0 !important;
		margin-block-end: 0 !important;
	}
	.box-definition>header,
	.box-theorem>header {
		background-color: hsl(132, 36%, 27%);
	}
	.box-definition>header * {
		background-color: hsl(132, 36%, 27%);
	}
	.box-example>header,
	.box-exercise>header,
	.box-query>header,
	.box-objectives>header,
	.box-adapt>header {
		background-color: hsla(204, 83%, 41%, 1);
	}
	.box-note>header {
		background-color: hsl(180, 8%, 40%);
	}
	.box-example>header *,
	.box-objectives>header *,
	.box-exercise>header * {
		background-color: hsla(204, 83%, 41%, 1);
	}
	.box-note>header * {
		background-color: hsl(180, 8%, 40%);
	}
	.box-structure>header {
		background-color: hsl(240, 67%, 62%);
	}
	.box-structure>header * {
		background-color: hsl(240, 67%, 62%);
	}
	.box-warning>header {
		background-color: hsl(0, 100%, 31%);
	}
	.box-warning>header * {
		background-color: hsl(0, 100%, 31%);
	}
	.mt-content-container::before {
		content: none;
	}
	section::before {
		content: "";
		display: block;
		height: 4 rem;
		/* pretend that the header is at least 8rem high so this header cannot fit near the end of page */
		margin-bottom: -4 rem;
		/* however, reduce the margin the same amount so that the following content can stay in its usual place */
		page-break-inside: avoid;
		break-inside: avoid;
	}

	/* AutoAttribution */
	.mt-content-container .autoattribution p {
		font-size: 90% !important;
	}
	#librelens-attribution-list li {
		font-size: 90% !important;
	}
}/*]]>*/
/*<![CDATA[*/
ul.jmolPopupMenu {
overflow: initial;
float: initial;
max-height: none;
opacity: initial;
}
ul.jmolPopupMenu .ui-menu, .ui-selectmenu-button {
overflow: initial;
}

ul.jmolPopupMenu .ui-menu, ul.jmolPopupMenu .ui-menu-item {
float: initial;
max-height: none;
}

ul.jmolPopupMenu .ui-state-disabled {
opacity: initial;
}

div.iCn3D .icn3d-mn.ui-menu {
    overflow: visible;
    max-height: unset;
}
div.iCn3D .icn3d-mn.ui-menu .ui-menu-item{
    padding: 0;
    overflow: visible;
    float: none;
}

div.iCn3D label:after{
     content: unset;
}

div.iCn3D div {
    word-wrap: normal;
}/*]]>*/
/*<![CDATA[*/
@media print {
     

.mt-content-container .mt-responsive-table, .mt-content-container table {
    font-size: 100%;
    margin: 0 auto 0 auto;
    border: 1px solid #E8E8E8;
    margin-bottom: 1rem !important;
}

.mt-content-container .mt-responsive-table caption, .mt-content-container table caption { 
    display: table-caption;
    text-align: center;
    font-size: 90%;
    padding: 0 0 0.2rem 0;
}

.mt-content-container .mt-responsive-table th, .mt-content-container table th {
  font-size: inherit;
  vertical-align: middle;
  border-bottom: 1px solid #E8E8E8;
  margin: inherit;
  padding: 0.4em !important;
}

.mt-content-container .mt-responsive-table tr, .mt-content-container table tr {
  page-break-inside:avoid; 
  page-break-after:auto;
  margin: inherit;
  font-size: inherit;
  vertical-align: middle;
  padding: 0.4em !important;
  border-bottom: 1px solid #E8E8E8;
}
    
.mt-content-container .mt-responsive-table td, .mt-content-container table td {
  border: 1px solid #E8E8E8;
  page-break-inside: avoid !important;
  page-break-before: avoid;
  margin: inherit;
  vertical-align: middle;
  padding: 0.4em !important;
}

.mt-content-container table ol, 
.mt-content-container table ul,
.mt-content-container table p,
.mt-content-container table ol,
.mt-content-container table ul,
.mt-content-container table p {
    font-size: inherit;
    margin: inherit;
}
    
}/*]]>*/
/*<![CDATA[*/
.elm-header nav.elm-nav.my-custom-class > .elm-nav-container {
    display: flex;
    justify-content: space-between;
}
#header-buttons {
    align-self: center;
}

#menu {
    width: 953px;
    height: 28px;
    font-size: 14px;
    font-family: Arial, Tahoma, Geneva, sans-serif;
    text-align: center;
    border-radius: 2px;
    background-color: #6384A6;
    overflow:hidden;
    margin-top:5px;
    margin-bottom:0px;
    margin-left:0px;
    margin-right:00px;

}
#menu ul {
    padding: 4px 0px;
    margin: 0px;
}
#menu li {
    display: inline;
}
#menu a {
    text-decoration: none;
    color: #FFFFFF;
    padding: 32px 32px 32px 32px;
}
#menu a:hover {
    color: #000000;
}

p.center { text-align: center; }
div.center {
  margin-left: auto;
  margin-right: auto;
  width: 960px;
}
img.center {
  display: block;
}

}/*]]>*/
/*<![CDATA[*/
#menu2 {
    width: 953px;
    height: 24px;
    font-size: 12px;
    font-family: Arial, Tahoma, Geneva, sans-serif;
    text-align: center;
    border-radius: 2px;
    background-color: #888888;
    overflow:hidden;
    margin-top:5px;
    margin-bottom:5px;
    margin-left:0px;
    margin-right:00px;
}
#menu2 ul {
    padding: 4px 0px;
    margin: 0px;
}
#menu2 li {
    display: inline;
}
#menu2 a {
    text-decoration: none;
    color: #000000;
    padding: 32px 32px 32px 32px;
}
#menu2 a:hover {
    color: #FFFFFF;
}


p.center { text-align: center; }
div.center {
  margin-left: auto;
  margin-right: auto;
  width: 960px;
}
img.center {
  display: block;
}

